<?php
/**
 * Příklad update formuláře pomocí AJAXu
 *  
 * @author Petr Franěk <franek.petr@seznam.cz>
 * @copyright Copyright (c) 2015, Petr Franěk - www.phpdeveloper.cz
 */
?><!doctype html>

<html lang="cs">
<head>
    <meta charset="utf-8">
    <title></title>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
    <script>
    $(document).ready(function() {
        $('form').submit(function(event) {
            
            event.preventDefault();   // zamezení odeslání formuláře standardním způsobem
            $("div").remove(".err");
            $("div").remove(".msg");
            
            var formData = {
                'kod_produktu'   : $('input[name=kod_produktu]').val(),
                'nazev_produktu' : $('input[name=nazev_produktu]').val()
            };
    
            // odeslání dat formuláře na server
            $.ajax({
                type     : 'POST',   //data zašleme způsobem POST
                url      : 'ajax-form-update.php', // jaký php skript bude volán
                data     : formData, //data z formuláře
                dataType : 'json',   //jaká data očekáváme nazpět ze serveru
                encode   : true
            })
            
            // success
            .done(function(data) {
                
                $("form").after('<div class="msg">' + data.message + '</div>');
                
                if(data.success == true)
                {
                   $(".msg").css("color", "green"); 
                   console.log(data.message); 
                } else {
                   $.each(data.errors, function(index, value) { 
                        $('form :text[name="'+index+'"]').after('<div class="err">'+value+'</div>');
                   });
                }
            })
            
            //error ... spustí se pokud přijde ze serveru cokoliv kromě 200
            .fail(function( jqXHR, textStatus, errorThrown ){  
                console.log('Status: '+textStatus+', Error: '+errorThrown);
            });  
           
        });
           
     });       
    </script>
    <style>
    <!--
     .err {color:red;}
    //-->
    </style>
</head>
<body>

<div>
<form id="formular1">
    <input type="text" name="kod_produktu" size="5" value="" /><br />
    <input type="text" name="nazev_produktu" size="15" value="" /><br />
    <input type="submit" id="tlacitko_ulozit" name="submit" value="  Uložit  " />
</form>
</div>
  
</body>
</html>

                    
                            
 